# Books API . bookshelves

## Instance Methods

Returns the volumes Resource.

Retrieves metadata for a specific bookshelf for the specified user.

Retrieves a list of public bookshelves for the specified user.

### Method Details

`get(userId, shelf, source=None)`

    Retrieves metadata for a specific bookshelf for the specified user.

    Args:
      userId: string, ID of user for whom to retrieve bookshelves. (required)
      shelf: string, ID of bookshelf to retrieve. (required)
      source: string, String to identify the originator of this request.

    Returns:
      An object of the form:

        {
        "kind": "books#bookshelf", # Resource type for bookshelf metadata.
        "description": "A String", # Description of this bookshelf.
        "created": "A String", # Created time for this bookshelf (formatted UTC timestamp with millisecond resolution).
        "volumeCount": 42, # Number of volumes in this bookshelf.
        "title": "A String", # Title of this bookshelf.
        "updated": "A String", # Last modified time of this bookshelf (formatted UTC timestamp with millisecond resolution).
        "access": "A String", # Whether this bookshelf is PUBLIC or PRIVATE.
        "volumesLastUpdated": "A String", # Last time a volume was added or removed from this bookshelf (formatted UTC timestamp with millisecond resolution).
        "id": 42, # Id of this bookshelf, only unique by user.
        "selfLink": "A String", # URL to this resource.
      }

`list(userId, source=None)`

    Retrieves a list of public bookshelves for the specified user.

    Args:
      userId: string, ID of user for whom to retrieve bookshelves. (required)
      source: string, String to identify the originator of this request.

    Returns:
      An object of the form:

        {
        "items": [ # A list of bookshelves.
          {
            "kind": "books#bookshelf", # Resource type for bookshelf metadata.
            "description": "A String", # Description of this bookshelf.
            "created": "A String", # Created time for this bookshelf (formatted UTC timestamp with millisecond resolution).
            "volumeCount": 42, # Number of volumes in this bookshelf.
            "title": "A String", # Title of this bookshelf.
            "updated": "A String", # Last modified time of this bookshelf (formatted UTC timestamp with millisecond resolution).
            "access": "A String", # Whether this bookshelf is PUBLIC or PRIVATE.
            "volumesLastUpdated": "A String", # Last time a volume was added or removed from this bookshelf (formatted UTC timestamp with millisecond resolution).
            "id": 42, # Id of this bookshelf, only unique by user.
            "selfLink": "A String", # URL to this resource.
          },
        ],
        "kind": "books#bookshelves", # Resource type.
      }